13.5. Encodage au format MPEG
Précédent | Chapitre 13. Utilisation basique de MEncoder | Suivant

## 13.5. Encodage au format MPEG

MEncoder peut créer des fichiers au format MPEG (MPEG-PS). Habituellement, vous utilisez des formations vidéos comme le MPEG-1 ou MPEG-2 pour l'encodage vers des formats contraints comme le SVCD, VCD, ou encore le DVD. Les exigences particulières de ces formats sont expliqués dans la section du guide de création d'un VCD ou DVD.

Pour changer le format du fichier final produit par MEncoder utilisez l'option `-of mpeg`.

Exemple :

    mencoder input.avi -of mpeg -ovc lavc
    -lavcopts vcodec=mpeg1video -oac copy
    autres_options -o
    output.mpg

Création d'un fichier MPEG-1 lisible sur un système basique comme peu l'être un MS Windows fraîchement installé :

    mencoder input.avi -of mpeg -mpegopts
    format=mpeg1:tsaf:muxrate=2000 -o
    output.mpg -oac lavc -ovc lavc \
    -lavcopts acodec=mp2:abitrate=224:vcodec=mpeg1video:vbitrate=1152:keyint=15:mbd=2:aspect=4/3

Précédent | Niveau supérieur | Suivant
13.4. Encodage au format Sony PSP | Sommaire | 13.6. Redimensionnement des films